import { LfThemeElement, LfThemeList } from "./theme.declarations";
export declare const LF_THEME_COLORS_PREFIX: "--lf-color-";
export declare const LF_THEME_COLORS_DATA_PREFIX: "--lf-color-data-";
export declare const LF_THEME_COLORS: {
    readonly bg: "--lf-color-bg";
    readonly border: "--lf-color-border";
    readonly danger: "--lf-color-danger";
    readonly data1: "--lf-color-data-1";
    readonly data2: "--lf-color-data-2";
    readonly data3: "--lf-color-data-3";
    readonly data4: "--lf-color-data-4";
    readonly data5: "--lf-color-data-5";
    readonly drawer: "--lf-color-drawer";
    readonly header: "--lf-color-header";
    readonly info: "--lf-color-info";
    readonly link: "--lf-color-link";
    readonly onBg: "--lf-color-on-bg";
    readonly onBorder: "--lf-color-on-border";
    readonly onDanger: "--lf-color-on-danger";
    readonly onDrawer: "--lf-color-on-drawer";
    readonly onHeader: "--lf-color-on-header";
    readonly onInfo: "--lf-color-on-info";
    readonly onLink: "--lf-color-on-link";
    readonly onPrimary: "--lf-color-on-primary";
    readonly onSecondary: "--lf-color-on-secondary";
    readonly onSpinner: "--lf-color-on-spinner";
    readonly onSuccess: "--lf-color-on-success";
    readonly onSurface: "--lf-color-on-surface";
    readonly onWarning: "--lf-color-on-warning";
    readonly primary: "--lf-color-primary";
    readonly secondary: "--lf-color-secondary";
    readonly spinner: "--lf-color-spinner";
    readonly success: "--lf-color-success";
    readonly surface: "--lf-color-surface";
    readonly warning: "--lf-color-warning";
};
export declare const LF_THEME_FONTS_PREFIX: "--lf-font-";
export declare const LF_THEME_FONTS_FONTFACE: {
    readonly bebasNeue: "BebasNeue";
    readonly cinzel: "Cinzel";
    readonly IMFellEnglishSC: "IMFellEnglishSC";
    readonly lato: "Lato";
    readonly merriweather: "Merriweather";
    readonly montserrat: "Montserrat";
    readonly orbitron: "Orbitron";
    readonly oswald: "Oswald";
    readonly raleway: "Raleway";
    readonly sawarabiMincho: "SawarabiMincho";
    readonly shareTechMono: "ShareTechMono";
    readonly sourceCodePro: "SourceCodePro";
    readonly staatliches: "Staatliches";
    readonly uncialAntiqua: "UncialAntiqua";
    readonly vt323: "VT323";
    readonly xanhMono: "XanhMono";
};
export declare const LF_THEME_FONTS: {
    readonly familyPrimary: "--lf-font-family-primary";
    readonly familySecondary: "--lf-font-family-secondary";
    readonly familyMonospace: "--lf-font-family-monospace";
    readonly size: "--lf-font-size";
};
export declare const LF_THEME_UI_PREFIX: "--lf-ui-";
export declare const LF_THEME_UI_STATES: readonly ["danger", "disabled", "info", "primary", "secondary", "success", "warning"];
export declare const LF_THEME_UI_SIZES: readonly ["large", "medium", "small", "xlarge", "xsmall", "xxlarge", "xxsmall"];
export declare const LF_THEME_UI_NUMERICS: readonly ["xxsmall", "xsmall", "small", "medium", "large", "xlarge", "xxlarge", "opacityDisabled", "opacityRipple", "zindexBackdrop", "zindexDrawer", "zindexHeader", "zindexLightbox", "zindexModal", "zindexPortal", "zindexSplash", "zindexToast"];
export declare const LF_THEME_UI: {
    readonly borderRadius: "--lf-ui-border-radius";
    readonly boxShadowModal: "--lf-ui-box-shadow-modal";
    readonly durationRipple: "--lf-ui-duration-ripple";
    readonly heightHeader: "--lf-ui-height-header";
    readonly opacityDisabled: "--lf-ui-opacity-disabled";
    readonly opacityRipple: "--lf-ui-opacity-ripple";
    readonly radiusRipple: "--lf-ui-radius-ripple";
    readonly timingRipple: "--lf-ui-timing-ripple";
    readonly widthDrawer: "--lf-ui-width-drawer";
    readonly zindexBackdrop: "--lf-ui-zindex-backdrop";
    readonly zindexDrawer: "--lf-ui-zindex-drawer";
    readonly zindexHeader: "--lf-ui-zindex-header";
    readonly zindexLightbox: "--lf-ui-zindex-lightbox";
    readonly zindexPortal: "--lf-ui-zindex-portal";
    readonly zindexSplash: "--lf-ui-zindex-splash";
    readonly zindexToast: "--lf-ui-zindex-toast";
    readonly large: "--lf-ui-size-large" | "--lf-ui-size-medium" | "--lf-ui-size-small" | "--lf-ui-size-xlarge" | "--lf-ui-size-xsmall" | "--lf-ui-size-xxlarge" | "--lf-ui-size-xxsmall";
    readonly medium: "--lf-ui-size-large" | "--lf-ui-size-medium" | "--lf-ui-size-small" | "--lf-ui-size-xlarge" | "--lf-ui-size-xsmall" | "--lf-ui-size-xxlarge" | "--lf-ui-size-xxsmall";
    readonly small: "--lf-ui-size-large" | "--lf-ui-size-medium" | "--lf-ui-size-small" | "--lf-ui-size-xlarge" | "--lf-ui-size-xsmall" | "--lf-ui-size-xxlarge" | "--lf-ui-size-xxsmall";
    readonly xlarge: "--lf-ui-size-large" | "--lf-ui-size-medium" | "--lf-ui-size-small" | "--lf-ui-size-xlarge" | "--lf-ui-size-xsmall" | "--lf-ui-size-xxlarge" | "--lf-ui-size-xxsmall";
    readonly xsmall: "--lf-ui-size-large" | "--lf-ui-size-medium" | "--lf-ui-size-small" | "--lf-ui-size-xlarge" | "--lf-ui-size-xsmall" | "--lf-ui-size-xxlarge" | "--lf-ui-size-xxsmall";
    readonly xxlarge: "--lf-ui-size-large" | "--lf-ui-size-medium" | "--lf-ui-size-small" | "--lf-ui-size-xlarge" | "--lf-ui-size-xsmall" | "--lf-ui-size-xxlarge" | "--lf-ui-size-xxsmall";
    readonly xxsmall: "--lf-ui-size-large" | "--lf-ui-size-medium" | "--lf-ui-size-small" | "--lf-ui-size-xlarge" | "--lf-ui-size-xsmall" | "--lf-ui-size-xxlarge" | "--lf-ui-size-xxsmall";
};
export declare const LF_THEME_ICONS_PREFIX: "--lf-icon-";
export declare const LF_THEME_ICONS: {
    readonly add: "--lf-icon-add";
    readonly brokenImage: "--lf-icon-broken-image";
    readonly clear: "--lf-icon-clear";
    readonly copy: "--lf-icon-copy";
    readonly copyOk: "--lf-icon-copy-ok";
    readonly collapsed: "--lf-icon-collapsed";
    readonly danger: "--lf-icon-danger";
    readonly delete: "--lf-icon-delete";
    readonly disabled: "--lf-icon-disabled";
    readonly download: "--lf-icon-download";
    readonly dropdown: "--lf-icon-dropdown";
    readonly edit: "--lf-icon-edit";
    readonly expanded: "--lf-icon-expanded";
    readonly info: "--lf-icon-info";
    readonly minus: "--lf-icon-minus";
    readonly next: "--lf-icon-next";
    readonly plus: "--lf-icon-plus";
    readonly previous: "--lf-icon-previous";
    readonly primary: "--lf-icon-primary";
    readonly refresh: "--lf-icon-refresh";
    readonly secondary: "--lf-icon-secondary";
    readonly settings: "--lf-icon-settings";
    readonly success: "--lf-icon-success";
    readonly search: "--lf-icon-search";
    readonly upload: "--lf-icon-upload";
    readonly warning: "--lf-icon-warning";
};
export declare const LF_THEME_ATTRIBUTE: {
    readonly dark: "lf-dark-theme";
    readonly light: "lf-light-theme";
    readonly theme: "lf-theme";
};
export declare const LF_THEME_MODIFIERS: readonly ["active", "assistant", "bottom", "choice", "collapsed", "connecting", "disabled", "dropdown", "empty", "expanded", "filled", "filter", "flat", "floating", "focused", "full", "full-width", "has-actions", "has-description", "has-drawer", "has-header", "has-icon", "has-label", "has-spinner", "has-value", "hidden", "horizontal", "icon", "input", "large", "leading", "left", "loaded", "main", "no-label", "offline", "online", "outlined", "raised", "ready", "right", "selected", "selectable", "settings", "slim", "split", "sticky", "temporary", "textarea", "toggable", "top", "trailing", "user", "vertical"];
export declare const LF_THEME_BASE_VARS: {
    readonly "--lf-color-danger": "#d91e18";
    readonly "--lf-color-info": "#2592df";
    readonly "--lf-color-on-danger": "#fefefe";
    readonly "--lf-color-on-info": "#4a4a4a";
    readonly "--lf-color-on-success": "#fefefe";
    readonly "--lf-color-on-warning": "#151515";
    readonly "--lf-color-success": "#4d9f02";
    readonly "--lf-color-warning": "#ffc107";
    readonly "--lf-font-family-monospace": "Xanh Mono, monospace";
    readonly "--lf-font-family-primary": "Oswald, sans-serif";
    readonly "--lf-font-family-secondary": "Oswald, sans-serif";
    readonly "--lf-font-size": "16px";
    readonly "--lf-icon-add": "hexagon-plus";
    readonly "--lf-icon-broken-image": "photo-x";
    readonly "--lf-icon-clear": "x";
    readonly "--lf-icon-collapsed": "chevron-right";
    readonly "--lf-icon-copy": "copy";
    readonly "--lf-icon-copy-ok": "copy-check";
    readonly "--lf-icon-danger": "square-x";
    readonly "--lf-icon-delete": "square-x";
    readonly "--lf-icon-disabled": "lock";
    readonly "--lf-icon-download": "download";
    readonly "--lf-icon-dropdown": "chevron-down";
    readonly "--lf-icon-edit": "edit";
    readonly "--lf-icon-expanded": "chevron-down";
    readonly "--lf-icon-info": "info-hexagon";
    readonly "--lf-icon-minus": "hexagon-minus";
    readonly "--lf-icon-next": "chevron-right";
    readonly "--lf-icon-plus": "hexagon-plus";
    readonly "--lf-icon-previous": "chevron-left";
    readonly "--lf-icon-primary": "lf-website";
    readonly "--lf-icon-refresh": "refresh";
    readonly "--lf-icon-search": "search";
    readonly "--lf-icon-secondary": "lf-signature";
    readonly "--lf-icon-settings": "settings";
    readonly "--lf-icon-success": "check";
    readonly "--lf-icon-upload": "upload";
    readonly "--lf-icon-warning": "alert-triangle";
    readonly "--lf-ui-border-radius": "0";
    readonly "--lf-ui-box-shadow-modal": "0px 0px 7.5px 0px rgba(128, 128, 128, 0.5)";
    readonly "--lf-ui-duration-ripple": "750ms";
    readonly "--lf-ui-height-header": "80px";
    readonly "--lf-ui-opacity-disabled": 0.6;
    readonly "--lf-ui-opacity-ripple": 0.275;
    readonly "--lf-ui-radius-ripple": "0";
    readonly "--lf-ui-size-large": 1.15;
    readonly "--lf-ui-size-medium": 1;
    readonly "--lf-ui-size-small": 0.85;
    readonly "--lf-ui-size-xlarge": 1.25;
    readonly "--lf-ui-size-xsmall": 0.75;
    readonly "--lf-ui-size-xxlarge": 1.35;
    readonly "--lf-ui-size-xxsmall": 0.65;
    readonly "--lf-ui-timing-ripple": "cubic-bezier(0.4, 0, 0.2, 1)";
    readonly "--lf-ui-width-drawer": "320px";
    readonly "--lf-ui-zindex-backdrop": 899;
    readonly "--lf-ui-zindex-drawer": 900;
    readonly "--lf-ui-zindex-header": 898;
    readonly "--lf-ui-zindex-lightbox": 901;
    readonly "--lf-ui-zindex-portal": 997;
    readonly "--lf-ui-zindex-splash": 999;
    readonly "--lf-ui-zindex-toast": 998;
};
export declare const DARK: LfThemeElement;
export declare const LIGHT: LfThemeElement;
export declare const ABYSS: LfThemeElement;
export declare const ERIS: LfThemeElement;
export declare const NEON: LfThemeElement;
export declare const NIGHT: LfThemeElement;
export declare const PASTEL: LfThemeElement;
export declare const SAKURA: LfThemeElement;
export declare const STEAMPUNK: LfThemeElement;
export declare const URBAN: LfThemeElement;
export declare const WIZARDRY: LfThemeElement;
export declare const THEME_LIST: LfThemeList;
export declare const LF_ICONS_REGISTRY: {
    readonly adjustmentsHorizontal: "adjustments-horizontal";
    readonly alertTriangle: "alert-triangle";
    readonly arrowAutofitContent: "arrow-autofit-content";
    readonly arrowBack: "arrow-back";
    readonly article: "article";
    readonly bellRinging: "bell-ringing";
    readonly brandFacebook: "brand-facebook";
    readonly brandGithub: "brand-github";
    readonly brandInstagram: "brand-instagram";
    readonly brandLinkedin: "brand-linkedin";
    readonly brandNpm: "brand-npm";
    readonly brandReddit: "brand-reddit";
    readonly brandX: "brand-x";
    readonly brush: "brush";
    readonly bug: "bug";
    readonly calendarClock: "calendar-clock";
    readonly caretDown: "caret-down";
    readonly caretLeft: "caret-left";
    readonly caretRight: "caret-right";
    readonly caretUp: "caret-up";
    readonly chartColumn: "chart-column";
    readonly chartHistogram: "chart-histogram";
    readonly check: "check";
    readonly chevronCompactDown: "chevron-compact-down";
    readonly chevronCompactLeft: "chevron-compact-left";
    readonly chevronCompactRight: "chevron-compact-right";
    readonly chevronCompactUp: "chevron-compact-up";
    readonly chevronDown: "chevron-down";
    readonly chevronLeft: "chevron-left";
    readonly chevronRight: "chevron-right";
    readonly chevronsDown: "chevrons-down";
    readonly chevronsLeft: "chevrons-left";
    readonly chevronsRight: "chevrons-right";
    readonly chevronsUp: "chevrons-up";
    readonly chevronUp: "chevron-up";
    readonly circleArrowDown: "circle-arrow-down";
    readonly circleArrowLeft: "circle-arrow-left";
    readonly circleArrowRight: "circle-arrow-right";
    readonly circleArrowUp: "circle-arrow-up";
    readonly circleCaretDown: "circle-caret-down";
    readonly circleCaretLeft: "circle-caret-left";
    readonly circleCaretRight: "circle-caret-right";
    readonly circleCaretUp: "circle-caret-up";
    readonly circleChevronDown: "circle-chevron-down";
    readonly circleChevronLeft: "circle-chevron-left";
    readonly circleChevronRight: "circle-chevron-right";
    readonly circleChevronUp: "circle-chevron-up";
    readonly circleX: "circle-x";
    readonly code: "code";
    readonly codeCircle2: "code-circle-2";
    readonly colorSwatch: "color-swatch";
    readonly columns2: "columns-2";
    readonly contrast2: "contrast-2";
    readonly copy: "copy";
    readonly copyCheck: "copy-check";
    readonly door: "door";
    readonly download: "download";
    readonly dragDrop: "drag-drop";
    readonly droplet: "droplet";
    readonly edit: "edit";
    readonly file: "file";
    readonly folder: "folder";
    readonly forms: "forms";
    readonly hexagonMinus: "hexagon-minus";
    readonly hexagonMinus2: "hexagon-minus-2";
    readonly hexagonPlus: "hexagon-plus";
    readonly hexagonPlus2: "hexagon-plus-2";
    readonly hourglassLow: "hourglass-low";
    readonly id: "id";
    readonly ikosaedr: "ikosaedr";
    readonly imageInPicture: "image-in-picture";
    readonly infoHexagon: "info-hexagon";
    readonly innerShadowBottom: "inner-shadow-bottom";
    readonly key: "key";
    readonly layoutBoardSplit: "layout-board-split";
    readonly layoutList: "layout-list";
    readonly layoutNavbar: "layout-navbar";
    readonly layoutNavbarInactive: "layout-navbar-inactive";
    readonly layoutSidebar: "layout-sidebar";
    readonly lfSignature: "lf-signature";
    readonly lfWebsite: "lf-website";
    readonly list: "list";
    readonly listTree: "list-tree";
    readonly loader: "loader";
    readonly loader2: "loader-2";
    readonly loader3: "loader-3";
    readonly lock: "lock";
    readonly menu2: "menu-2";
    readonly messageCircleUser: "message-circle-user";
    readonly messages: "messages";
    readonly microphone: "microphone";
    readonly moon: "moon";
    readonly movie: "movie";
    readonly music: "music";
    readonly network: "network";
    readonly notification: "notification";
    readonly numbers: "numbers";
    readonly offBrush: "off-brush";
    readonly offHexagon: "off-hexagon";
    readonly offId: "off-id";
    readonly offMicrophone: "off-microphone";
    readonly offMoon: "off-moon";
    readonly offNotification: "off-notification";
    readonly offPalette: "off-palette";
    readonly offReplace: "off-replace";
    readonly offSearch: "off-search";
    readonly offTemplate: "off-template";
    readonly palette: "palette";
    readonly pdf: "pdf";
    readonly percentage60: "percentage-60";
    readonly photo: "photo";
    readonly photoSearch: "photo-search";
    readonly photoX: "photo-x";
    readonly progress: "progress";
    readonly refresh: "refresh";
    readonly replace: "replace";
    readonly robot: "robot";
    readonly schema: "schema";
    readonly search: "search";
    readonly settings: "settings";
    readonly shirt: "shirt";
    readonly slideshow: "slideshow";
    readonly squareToggle: "square-toggle";
    readonly squareX: "square-x";
    readonly stackPop: "stack-pop";
    readonly stackPush: "stack-push";
    readonly sunset2: "sunset-2";
    readonly temperature: "temperature";
    readonly template: "template";
    readonly toggleRight: "toggle-right";
    readonly upload: "upload";
    readonly viewportTall: "viewport-tall";
    readonly viewportWide: "viewport-wide";
    readonly wand: "wand";
    readonly writing: "writing";
    readonly x: "x";
    readonly zip: "zip";
};
//# sourceMappingURL=theme.constants.d.ts.map